ST_HasArc
Prev | 8.4. Geometry Accessors | Next

## Name

ST_HasArc — Tests if a geometry contains a circular arc

## Synopsis

`boolean ST_HasArc(`geometry geomA`)`;

## Description

Returns true if a geometry or geometry collection contains a circular string

Availability: 1.2.3?

This function supports 3d and will not drop the z-index.

This method supports Circular Strings and Curves

## Examples

    SELECT ST_HasArc(ST_Collect('LINESTRING(1 2, 3 4, 5 6)', 'CIRCULARSTRING(1 1, 2 3, 4 5, 6 7, 5 6)'));
    		st_hasarc
    		--------
    		t

## See Also

ST_CurveToLine, ST_LineToCurve

Prev | Up | Next
ST_GeometryType | Home | ST_InteriorRingN